org.keycloak.storage.ldap

## Class LDAPConfig

- java.lang.Object
- - org.keycloak.storage.ldap.LDAPConfig

-     public class LDAPConfig
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPConfig(MultivaluedHashMap<String,String> config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinaryAttribute(String attrName)`
    `boolean` | `equals(Object obj)`
    `Properties` | `getAdditionalConnectionProperties()`
    `String` | `getAuthType()`
    `int` | `getBatchSizeForSync()`
    `Set<String>` | `getBinaryAttributeNames()`
    `String` | `getBindCredential()`
    `String` | `getBindDN()`
    `String` | `getConnectionPooling()`
    `String` | `getConnectionPoolingAuthentication()`
    `String` | `getConnectionPoolingDebug()`
    `String` | `getConnectionPoolingInitSize()`
    `String` | `getConnectionPoolingMaxSize()`
    `String` | `getConnectionPoolingPrefSize()`
    `String` | `getConnectionPoolingProtocol()`
    `String` | `getConnectionPoolingTimeout()`
    `String` | `getConnectionTimeout()`
    `String` | `getConnectionUrl()`
    `String` | `getCustomUserSearchFilter()`
    `UserStorageProvider.EditMode` | `getEditMode()`
    `String` | `getFactoryName()`
    `String` | `getRdnLdapAttribute()`
    `String` | `getReadTimeout()`
    `int` | `getSearchScope()`
    `String` | `getUsernameLdapAttribute()`
    `Collection<String>` | `getUserObjectClasses()`
    `String` | `getUsersDn()`
    `String` | `getUseTruststoreSpi()`
    `String` | `getUuidLDAPAttributeName()`
    `String` | `getVendor()`
    `int` | `hashCode()`
    `boolean` | `isActiveDirectory()`
    `boolean` | `isEdirectory()`
    `boolean` | `isEdirectoryGUID()`
    `boolean` | `isObjectGUID()`
    `boolean` | `isPagination()`
    `boolean` | `isStartTls()`
    `boolean` | `isTrustEmail()`
    `boolean` | `isValidatePasswordPolicy()`
    `String` | `toString()`
    `boolean` | `useExtendedPasswordModifyOp()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPConfig

          public LDAPConfig(MultivaluedHashMap<String,String> config)

  - ### Method Detail

    - #### getConnectionUrl

          public String getConnectionUrl()

    - #### getFactoryName

          public String getFactoryName()

    - #### getAuthType

          public String getAuthType()

    - #### useExtendedPasswordModifyOp

          public boolean useExtendedPasswordModifyOp()

    - #### getUseTruststoreSpi

          public String getUseTruststoreSpi()

    - #### getUsersDn

          public String getUsersDn()

    - #### getUserObjectClasses

          public Collection<String> getUserObjectClasses()

    - #### getBindDN

          public String getBindDN()

    - #### getBindCredential

          public String getBindCredential()

    - #### getVendor

          public String getVendor()

    - #### isActiveDirectory

          public boolean isActiveDirectory()

    - #### isValidatePasswordPolicy

          public boolean isValidatePasswordPolicy()

    - #### isTrustEmail

          public boolean isTrustEmail()

    - #### getConnectionPooling

          public String getConnectionPooling()

    - #### getConnectionPoolingAuthentication

          public String getConnectionPoolingAuthentication()

    - #### getConnectionPoolingDebug

          public String getConnectionPoolingDebug()

    - #### getConnectionPoolingInitSize

          public String getConnectionPoolingInitSize()

    - #### getConnectionPoolingMaxSize

          public String getConnectionPoolingMaxSize()

    - #### getConnectionPoolingPrefSize

          public String getConnectionPoolingPrefSize()

    - #### getConnectionPoolingProtocol

          public String getConnectionPoolingProtocol()

    - #### getConnectionPoolingTimeout

          public String getConnectionPoolingTimeout()

    - #### getConnectionTimeout

          public String getConnectionTimeout()

    - #### getReadTimeout

          public String getReadTimeout()

    - #### getAdditionalConnectionProperties

          public Properties getAdditionalConnectionProperties()

    - #### getSearchScope

          public int getSearchScope()

    - #### getUuidLDAPAttributeName

          public String getUuidLDAPAttributeName()

    - #### isObjectGUID

          public boolean isObjectGUID()

    - #### isEdirectoryGUID

          public boolean isEdirectoryGUID()

    - #### isPagination

          public boolean isPagination()

    - #### getBatchSizeForSync

          public int getBatchSizeForSync()

    - #### getUsernameLdapAttribute

          public String getUsernameLdapAttribute()

    - #### getRdnLdapAttribute

          public String getRdnLdapAttribute()

    - #### getCustomUserSearchFilter

          public String getCustomUserSearchFilter()

    - #### isStartTls

          public boolean isStartTls()

    - #### getEditMode

          public UserStorageProvider.EditMode getEditMode()

    - #### addBinaryAttribute

          public void addBinaryAttribute(String attrName)

    - #### getBinaryAttributeNames

          public Set<String> getBinaryAttributeNames()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isEdirectory

          public boolean isEdirectory()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.